OERCodec< TPDU > Class Template Referenceabstract

`#include <CodecOer.hh>`

Inheritance diagram for OERCodec< TPDU >:

## Public Member Functions

virtual int | encode (const TPDU &msg, BITSTRING &bits)=0
virtual int | decode (const BITSTRING &bits, TPDU &msg)=0

## Protected Member Functions

int | _decode (const TTCN_Typedescriptor_t &ttcn, const asn_TYPE_descriptor_s &td, const BITSTRING &p_data, TPDU &msg)
int | _encode (const TTCN_Typedescriptor_t &ttcn, const asn_TYPE_descriptor_s &td, const TPDU &msg, BITSTRING &p_data)
Protected Member Functions inherited from ASN1RecodeOer
int | xer2oer (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | oer2xer (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | recode (const asn_TYPE_descriptor_s &td, int from, int to, TTCN_Buffer &buf)

## Member Function Documentation

## _decode()

template<typename TPDU >

int OERCodec< TPDU >::_decode | ( | const TTCN_Typedescriptor_t & | ttcn,
|  | const asn_TYPE_descriptor_s & | td,
|  | const BITSTRING & | p_data,
|  | TPDU & | msg
| ) |  |

inlineprotected

## _encode()

template<typename TPDU >

int OERCodec< TPDU >::_encode | ( | const TTCN_Typedescriptor_t & | ttcn,
|  | const asn_TYPE_descriptor_s & | td,
|  | const TPDU & | msg,
|  | BITSTRING & | p_data
| ) |  |

inlineprotected

## decode()

template<typename TPDU >

virtual int OERCodec< TPDU >::decode | ( | const BITSTRING & | bits,
|  | TPDU & | msg
| ) |  |

pure virtual

## encode()

template<typename TPDU >

virtual int OERCodec< TPDU >::encode | ( | const TPDU & | msg,
|  | BITSTRING & | bits
| ) |  |

pure virtual

The documentation for this class was generated from the following file:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/CodecOer.hh